Build Error with logicaldoc-6.7.1

We tried to make LogicalDOC as intuitive as possible, but an advice is always welcome.

Moderator: car031

Post Reply
mmaqtary
Posts: 1
Joined: Wed Apr 26, 2017 9:38 am

Build Error with logicaldoc-6.7.1

Post by mmaqtary » Wed Apr 26, 2017 9:53 am


I have installed JDK 1.7 , Maven 3.0.3 , and Ant 1.7
but when I try to build release 6.7.1 I get these errors. please give me a hand?



D:\maqtary\logicaldoc-6.7.1-src\build\poms>mvn -version
Apache Maven 3.0.3 (r1075438; 2011-02-28 09:31:09-0800)
Maven home: C:\Users\PC\Downloads\apache-maven-3.0.3
Java version: 1.7.0_80, vendor: Oracle Corporation
Java home: C:\Program Files\Java\jdk1.7.0_80\jre
Default locale: en_US, platform encoding: Cp1256
OS name: "windows 7", version: "6.1", arch: "x86", family: "windows"


D:\maqtary\logicaldoc-6.7.1-src\build\poms>mvn install
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]
[ERROR] The project com.logicaldoc:logicaldoc-parent-pom:62 (D:\maqtary\logicaldoc-6.7.1-src\build\poms\pom.xml) has 1 error
[ERROR] Unresolveable build extension: Error resolving version for plugin 'org.apache.maven.wagon:wagon-ssh' from the repositories [local (C:\Users\PC\.m2\repository), central (http://repo1.maven.
org/maven2)]: Plugin not found in any plugin repository -> [Help 2]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/disp ... gException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/disp ... nException
D:\maqtary\logicaldoc-6.7.1-src\build\poms>

Post Reply

Who is online

Users browsing this forum: Bing [Bot] and 1 guest